## Log browser

Log browser — Display data processing history

## Functions

GtkWidget * | gwy_log_browser_new ()

## Types and Values

struct | GwyLogBrowser
struct | GwyLogBrowserClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GwyLogBrowser

## Implemented Interfaces

GwyLogBrowser implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyapp/gwyapp.h>

## Description

## Functions

### gwy_log_browser_new()

    GtkWidget *
    gwy_log_browser_new (GwyFile *file,
                         GwyDataKind data_kind,
                         gint id);

Creates a new data processing operation log browser for a data object in a file.

If there is currently no log for given data, a new empty log is created, unless logging is currently disabled.

#### Parameters

file | A data file container. |
data_kind | Type of data item. |
id | Id of data item in `data` to show the log for. |

#### Returns

A new metadata browser window.

[transfer full]

## Types and Values

### struct GwyLogBrowser

    struct GwyLogBrowser;

### struct GwyLogBrowserClass

    struct GwyLogBrowserClass {
        GtkWindowClass parent;

        gpointer reserved1;
        gpointer reserved2;
    };